from summarizer import Summarizer

model = Summarizer()
def summarize(text):
    try:
        summary = model(text)
        return summary
    except Exception as e:
        return e

if __name__ == '__main__':
    article = """
The Sea Wing disaster occurred on July 13, 1890, when a strong squall line overturned the excursion vessel Sea Wing on Lake Pepin near Lake City, Minnesota. Approximately 215 people were aboard the vessel when it overturned and as a result of the accident 98 passengers drowned. An excursion barge that was being towed by the Sea Wing was either cut loose or broke loose and survived the disaster with its passengers unharmed. It is the worst Minnesota maritime disaster ever, and one of the worst maritime disasters that occurred on the upper Mississippi River.[1]

While tornadoes had occurred earlier in the evening farther north in the Twin Cities area, it is believed that downburst winds from a thunderstorm were the cause of the accident.[2][1]

Construction
Built in 1888 at Diamond Bluff, Wisconsin, as a sternwheel rafter, the Sea Wing was 135 feet (41 m) long and 16 feet (4.9 m) beam amidship.[3] She had a displacement of 110 long tons (110 t) and a height of 22 feet (6.7 m) to her pilot house.[4] The Sea Wing was powered by a six piston steam engine.[5] The Sea Wing was rated for a maximum of 350 passengers when the ship towed two passenger barges on its trips.[6] The safety equipment carried consisted of 175 wood floats, 175 cork and tube life preservers, six axes and seven lifeboats with 28 oars.[6]

History
Based in Diamond Bluff, Wisconsin, the Sea Wing was jointly owned by Captain David Niles Wethern and Melvin Sparks, operating as the Diamond Jo Line.[6][7] Normally used for moving lumber and commodities along the Mississippi River, the ship was also used for excursions as an extra source of income.[8]

Tragedy
During July 1890, a Sunday excursion was planned from Red Wing, Minnesota to Lake City, Minnesota. The First Regiment of the Minnesota National Guard's summertime encampment, named Camp Lake View, was scheduled to be held at that time.[9][10]

On the morning of the excursion, 13 July 1890, the Sea Wing left Diamond Bluff, Wisconsin at 7:30 am for its trip to the encampment south of Lake City towing a covered barge named the Jim Grant, which would carry a number of the day's passengers. The Sea Wing first stopped at Trenton, Wisconsin, at 8:30 am and then arrived at Red Wing at 9:30 am, where approximately 150 waiting passengers at Red Wing got on board. Captain Wethern's family was already on board as well as a string orchestra that played for the passengers while the vessel was en route.[9] After leaving Red Wing, the vessel stopped at Frontenac, Minnesota, and then proceeded on to her destination arriving around 11:30 am that morning.[11] The passengers disembarked and spent their time picnicking, visiting the troops and listening to a band concert later in the day.[12]

The return trip was scheduled to leave between 5 - 6 pm that evening, but the national guard had scheduled a dress parade for the visitors.[12] Captain Wethern agreed to delay the departure, after being asked by a number of passengers, until after the parade at 7 pm.[13] Shortly after the parade began, the weather conditions changed and began to look ominous. Captain Wethern began sounding the ship's whistle to recall the passengers and by 8 pm the passengers were on board and the ship was made ready to leave. The captain had been advised to delay his departure by other river men, because they felt that a storm was heading their way, but Captain Wethern believed that the weather looked like it was clearing.[12] The Sea Wing left port and headed on to its first stop at Lake City. A half hour into the voyage Captain Wethern noticed a gale heading toward them from the Minnesota shore. He turned the Sea Wing to meet the storm but a large wave struck the ship tilting it at a forty-five degree angle. While still tilted the ship was struck by strong winds that capsized the ship.

Aftermath
Following the tragedy, there were conflicting reports that Captain Wethern had been arrested for his own protection.[14] Accusations of drunkenness, overloading of the ship and heading out over objections that the weather conditions were unsafe were leveled against Captain Wethern, as well.[14][15] Further claims that the captain ordered the women and children from the barge and into a cabin which he then locked were made as only seven of the 57 women on board had survived the sinking. It was reported that many of the women had left the barge voluntarily for the ship due to objectionable conduct by fellow passengers.[16]

Inquiry
An inquiry was begun to ascertain the cause of the disaster with the investigation headed by John D. Sloane, who held the office of Inspector of Steam Vessels. He was assisted by Captains George B. Knapp and Charles F. Yeager, who were two local inspectors from Galena, Illinois, board along with Captains John Monaghan and Michael F. Chalk from the Duluth, Minnesota board who would also take affidavits from the survivors of the accident as part of the investigation.[17][18]

During the inquiry, it was found that while the previous captain of the Sea Wing, Captain H.C. Fuller, was licensed for excursion trips of up to 175 passengers, this license wasn't transferred to Captain Wethern and, by regulation, he was only allowed to carry 12 passengers at that time.[19][20] It was also noted that the captain had no authority to take barges in tow at the time of the accident.[21] Under questioning, Captain Wethern stated that he did not know that under the ship's excursion permit he was required to have an additional pilot on board or the number of required crew needed for handling and manning lifeboats.[22] Captain Wethern also stated under questioning that the life preservers on board were in a "miserably deficient" condition.[23]

Following the inquiry, it was reported on August 11, 1890, that Captain Wethern's license as master and pilot was suspended for "Unskillfullness" in his operation of the vessel.[24][17] It was noted in the report that on the day of the accident, the ship's passenger capacity was exceeded by 30 persons; the passenger list was not correct; starting the voyage in the face of an impending storm and not staying near shore but heading into the center of the lake were factors that lead to the suspension. A recommendation for criminal charges against Captain Wethern by United States District Attorney was also included in the report.[17] Charges were never filed against Captain Wethern following the release of the report.[4]

Salvage operations
It was reported in August 1890 that the wreckage of the Sea Wing was raised by the crew of the steamer Edward S. Durant Jr. The hull, engines and barge were recovered and purchased by the former owner of the Sea Wing, but the boilers were not recovered at that time.[25] The Sea Wing was rebuilt and placed back in service until it was scrapped a number of years later.[4][26]
"""

    print(summarize(article))
